This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 474362 - hp backend crashes when dbus not running
hp backend crashes when dbus not running
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 09:32 EST by Pete Wyckoff
Modified: 2009-03-13 14:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.8.12-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-13 14:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hplip dbus bug patch (371 bytes, patch)
2008-12-03 09:32 EST, Pete Wyckoff
no flags Details | Diff

  None (edit)
Description Pete Wyckoff 2008-12-03 09:32:47 EST
Created attachment 325540 [details]
hplip dbus bug patch

Description of problem:

HP backend crashes if dbus (messagebus) is not running.

Version-Release number of selected component (if applicable):

hplip-2.8.7-3

How reproducible:

every time

Steps to Reproduce:
1. configure a printer to use hp:/net/hp_LaserJet_...
2. print to it

Additional info:

/var/log/cups/error_log:

I [03/Dec/2008:08:54:22 -0500] [Job 47] Started backend /usr/lib/cups/backend/hp (PID 9219)
E [03/Dec/2008:08:54:23 -0500] PID 9219 (/usr/lib/cups/backend/hp) crashed on signal 6!
I [03/Dec/2008:08:54:23 -0500] Hint: Try setting the LogLevel to "debug" to find out more.
I [03/Dec/2008:08:54:44 -0500] [Job 47] Backend returned status -6 (crashed)

/var/log/messages:

Dec  3 08:54:23 host hp_LaserJet_9050_MFP?ip=10.62.229.18: prnt/backend/hp.c 528: dBus Connection Error (Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused)!

strace shows that it is libdbus that is killing hplip with SIGABRT:

9219  write(2, "process 9219: "..., 14 <unfinished ...>
9219  write(2, "arguments to dbus_connection_send() were incorrect, assertion \"connection != NULL\" failed in file dbus-connection.c line 3099.\nThis is normally a bug in some application using the D-Bus library.\n"..., 195 <unfinished ...>
9219  write(2, "  D-Bus not built with -rdynamic so unable to print a backtrace\n"..., 64 <unfinished ...>
9219  rt_sigprocmask(SIG_UNBLOCK, [ABRT],  <unfinished ...>
9219  tgkill(9219, 9219, SIGABRT <unfinished ...>
9219  --- SIGABRT (Aborted) @ 0 (0) ---

Patch attached that makes hplip avoid sending messages to dbus if the
connection attempt was unsuccessful.
Comment 1 Tim Waugh 2008-12-11 06:21:49 EST
Thanks for the patch.
Comment 2 Fedora Update System 2009-01-07 04:14:04 EST
hplip-2.8.12-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11236
Comment 3 Fedora Update System 2009-01-14 22:04:59 EST
hplip-2.8.12-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11236
Comment 4 Fedora Update System 2009-01-29 18:01:48 EST
hplip-2.8.12-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11236
Comment 5 Fedora Update System 2009-03-13 14:34:37 EDT
hplip-2.8.12-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.